<template>
  <div>
    <div>
      <form class="login" @submit.prevent="login" v-if="!loading">
        <h1>Sign in</h1>
        <label>User name</label>
        <input required type="text"
               ref="username"
               placeholder="Username"/>

        <label>Password</label>
        <input
          required
          type="password"
          ref="password"
          placeholder="Password"
        />
        <hr/>
        <button type="submit">Login</button>
      </form>
      <hr/>
      <router-link to="/register" v-if="!loading">Registrovat se</router-link>
    </div>
    <span v-if="loading">Loading...</span>
    <span v-if="error">Login error</span>
  </div>
</template>

<style>
  .login {
    display: flex;
    flex-direction: column;
    width: 300px;
    padding: 10px;
  }
</style>

<script>
import AuthService from '../../services/auth'

export default {
  name: 'login',
  data () {
    return {
      loading: false,
      error: false
    }
  },
  methods: {
    login: function () {
      this.loading = true
      this.error = false
      const tempCredentials = {
        username: this.$refs.username.value,
        password: this.$refs.password.value
      }
      AuthService.login(tempCredentials, () => {
        this.$router.push({name: 'Projects'})
      }, () => {
        this.loading = false
        this.error = true
      })
    }
  }
}
</script>
